File suse-module-tools.changes of Package suse-module-tools.11767

-------------------------------------------------------------------
Mon Jul 01 20:21:55 UTC 2019 - mwilck@suse.com

- Update to version 15.0.6:
  * softdep of bridge on br_netfilter (bsc#937216, bsc#1134819)

-------------------------------------------------------------------
Fri Jun 14 19:37:32 UTC 2019 - mwilck@suse.com

- Update to version 15.0.5:
  * weak-modules2: emit "inconsistent" warning only if replacement fails
  (bsc#1127155)
  * spec file: add conflicts for dracut < 44.2 (bsc#1127891)
  * modprobe.conf.common: add csiostor->cxgb4 dependency
  (bsc#1100989)
- Update to version 15.0.4:
  * Fix driver-check.sh (boo#1123697, boo#1123704)
- Update to version 15.0.3:
  * make code work without kmod-compat 
  * Remove hard dependency on mkinitrd (boo#1123721)

-------------------------------------------------------------------
Mon Dec 10 12:10:29 UTC 2018 - Martin Wilck <mwilck@suse.com>

- Update to version 15.0.2 (git 9f2adc34):
- Move "weak-modules" script to -legacy subpackage to avoid
  dependency on binutils (bsc#1116665, bsc#1119371)

-------------------------------------------------------------------
Fri Dec  7 12:45:36 UTC 2018 - Adrian Schröter <adrian@suse.de>

- Require mkinitrd (provided also by dracut) directly instead of
  file requires. This is fixing image build failures

-------------------------------------------------------------------
Wed Nov 07 14:53:52 UTC 2018 - mwilck@suse.com

- Update to version 15.0.1 (git 5c63319):
- Use /etc/modules-load.d/sg.conf for sg driver autoloading
  (bsc#1036463)
  * added /etc/modules-load.d/sg.conf

-------------------------------------------------------------------
Mon Nov 05 10:08:19 UTC 2018 - mwilck@suse.com

- version 15.0 (git 6ce3011)
- modsign-verify: support for parsing PKCS#7 signatures
  (bsc#1111300, bsc#1105495)
- Fix logic for unsupported modules (bsc#1111183) 
  * SLES15: allow unsupported modules only if kernel-default-extra
  from SLE-WE module is installed
  * Always allow unsupported modules on Leap 15 and Factory
  * No change for SLE12 / Leap 42.x and below
  * 10-unsupported-modules.conf: improved comments
  * fix %config(noreplace) logic for 10-unsupported-modules.conf
- added udev rule 81-sg.rules to make sure the sg module is
  always loaded (bsc#1036463)

-------------------------------------------------------------------
Wed Jul 26 08:07:29 UTC 2017 - tchvatal@suse.com

- Use path dependency that is not parsed by obs to ensure we
  are not pulling systemd everywhere

-------------------------------------------------------------------
Mon Jun 19 12:58:04 UTC 2017 - tchvatal@suse.com

- Set url to github project and repack using obs service
- Cleanup a bit with spec-cleaner
- Grep os-release and not deprecated SuSE-release

-------------------------------------------------------------------
Thu Sep  8 08:55:50 UTC 2016 - dmueller@suse.com

- blacklist efifb on aarch64 (bsc#996080)

-------------------------------------------------------------------
Fri May 27 13:14:36 UTC 2016 - mmarek@suse.cz

- Run dos2unix on the modhash script.

-------------------------------------------------------------------
Thu May 26 07:36:58 UTC 2016 - jlee@suse.com

- Add modhash tool to calculate hash of signed module.
  It strips X.509 or PKCS#7 signature before hash kernel module.
  (fate#319460) 

-------------------------------------------------------------------
Wed May 25 13:23:35 UTC 2016 - mmarek@suse.cz

- Remove -x bit from 50-kernel-uname_r.conf (bsc#981291).

-------------------------------------------------------------------
Fri Apr 29 11:31:46 UTC 2016 - mmarek@suse.cz

- Ignore failures when loading the kernel sysctl (bsc#977715).

-------------------------------------------------------------------
Thu Apr 28 20:15:31 UTC 2016 - mmarek@suse.com

- Add a systemd service to load /boot/sysctl.conf-`uname -r`
  (bsc#977715).

-------------------------------------------------------------------
Fri Apr  1 11:43:32 UTC 2016 - mmarek@suse.cz

- Skip KMPs built from the kernel spec file directly (fate#319339)
- Bump version number to 12.4

-------------------------------------------------------------------
Tue Feb 23 10:43:39 UTC 2016 - lnussel@suse.de

- add missing requirements on module-init-tools, findutils and gzip,
  mkinitrd (bnc#965830)

-------------------------------------------------------------------
Fri Jan 15 23:04:41 UTC 2016 - bpoirier@suse.com

- Add module option ib_mthca.catas_reset_disable=1 on ppc64le (bsc#456389).

-------------------------------------------------------------------
Tue Oct 13 08:35:32 UTC 2015 - mmarek@suse.cz

- Revert change for fate#319339, as some 3rd party KMPs are built
  with a modified template (bsc#949862).

-------------------------------------------------------------------
Tue Sep  8 12:52:15 UTC 2015 - trenn@suse.de

- Use /run instead of deprecated /var/run
  This can have sever consequences if this package uses /var/run. It may
  be installed before filesystem package generating the /run tmpfs and
  predict it to generate the link /var/run -> /run. Later dracut convertfs
  kicks in to generate it, but it has issues. bsc#922676 

-------------------------------------------------------------------
Thu Aug 13 13:30:17 UTC 2015 - mmarek@suse.cz

- Only handle KMPs that are built using the %kernel_module_package
  macro (preparatory work for fate#319339).

-------------------------------------------------------------------
Tue Jun 23 14:39:46 UTC 2015 - mmarek@suse.cz

- Use absolute path to mkinitrd (bsc#935566)

-------------------------------------------------------------------
Fri May 16 08:36:15 UTC 2014 - mmarek@suse.cz

- Add kgraft/ to the depmod search list (fate#313296)

-------------------------------------------------------------------
Mon May  5 17:15:37 UTC 2014 - tonyj@suse.com

- Add support for ARM zImage to weak-modules2

-------------------------------------------------------------------
Tue Apr 15 14:32:55 UTC 2014 - mmarek@suse.cz

- weak-modules2: Use lsinitrd to list the modules in an initrd, so
  that initrds with early microcode work (bnc#873209, bnc#873113).

-------------------------------------------------------------------
Fri Apr  4 14:32:48 UTC 2014 - mmarek@suse.cz

- weak-modules2: Run mkinitrd in posttrans if $INITRD_IN_POSTTRANS
  is set (fate#313506)

-------------------------------------------------------------------
Fri Apr  4 13:34:09 UTC 2014 - mmarek@suse.cz

- regenerate-initrd-posttrans: Run mkinitrd_setup

-------------------------------------------------------------------
Fri Apr  4 12:13:18 UTC 2014 - mmarek@suse.cz

- Add macros for regenerating the initrd in %posttrans
  (fate#313506).

-------------------------------------------------------------------
Mon Mar 31 09:11:16 UTC 2014 - mmarek@suse.cz

- Use softdep to order {u,o,e}hci-hcd drivers.
- Drop ia64 modprobe config.

-------------------------------------------------------------------
Fri Mar 28 14:25:25 UTC 2014 - mmarek@suse.cz

- Add kmp-install tool for easier installation of SolidDriver KMPs
  (fate#314581).

-------------------------------------------------------------------
Tue Mar 11 12:57:36 UTC 2014 - mmarek@suse.cz

- Add modsign-verify tool to verify signatures of modules
  (fate#314507).

-------------------------------------------------------------------
Tue Mar 11 12:38:39 UTC 2014 - mmarek@suse.cz

- weak-modules2: Support XZ compressed initrds (bnc#778119,
  bnc#867312)

-------------------------------------------------------------------
Mon Mar 10 15:08:15 UTC 2014 - mmarek@suse.cz

- The package cannot be noarch, because it installs different
  configs for different architectures.
- Install 10-unsupported-modules.conf unconditionally, kmod has
  been patched.

-------------------------------------------------------------------
Fri Feb  7 13:05:20 UTC 2014 - rsalevsky@suse.com

- load the uas driver simulsimultaneously with the usb_storage driver and vice versa (bnc#862397)

-------------------------------------------------------------------
Wed May 29 12:44:00 UTC 2013 - schwab@suse.de

- weak-modules{,2}: also look for Image-$krel for aarch64

-------------------------------------------------------------------
Sun Mar 17 20:04:12 UTC 2013 - crrodriguez@opensuse.org

- The "allow_unsupported_modules" feature, does not belong too
  openSUSE, kmod (and hence udev and systemd) do not understand
  it in anyway. limit to SLE only.

-------------------------------------------------------------------
Wed Nov 14 18:31:35 UTC 2012 - jengelh@inai.de

- New package. Split SUSE-specific scripts from module-init-tools,
  so that we can actually get a system with kmod-compat running.